package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/11/12 15:14
 */
@Getter
@AllArgsConstructor
public enum HisenseTurnEnum {
    /**
     *
     */
    TURN_1(1, 1, "左"),
    TURN_2(2, 2, "直"),
    TURN_3(3, 3, "右"),
    TURN_4(4, 4, "调头"),
    TURN_5(5, 1, "左调头"),
    TURN_6(6, 2, "左直"),
    TURN_7(7, 1, "左右"),
    TURN_8(8, 2, "直右"),
    TURN_9(9, 2, "左直右"),
    TURN_11(11, 21, "入口行人"),
    TURN_10(10, 2, "直调头"),
    TURN_12(12, 22, "出口行人"),
    TURN_13(13, 20, "出入口行人"),
    TURN_14(14, 2, "左直调头"),
    TURN_15(15, 3, "右调头"),
    TURN_16(16, 1, "左右调头"),
    TURN_17(17, 2, "直右掉头"),
    TURN_18(18, 2, "左直右掉头");
    private Integer hisenseTurn;
    private Integer wjLightsTurn;
    private String desc;

    public static Integer getWjLightsTurn(Integer hisenseTurn) {
        for (HisenseTurnEnum value : HisenseTurnEnum.values()) {
            if (Objects.equals(hisenseTurn, value.getHisenseTurn())) {
                return value.getWjLightsTurn();
            }
        }
        return 0;
    }
}
