package net.wanji.utc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/12/30 20:31
 */
@Data
public class LightStatusAlarmDTO {
    @ApiModelProperty(value = "路口编号")
    private String crossId;
    @ApiModelProperty(value = "返回信息")
    private String commandMsg;
    @ApiModelProperty(value = "优化结果：1-成功 2-失败 3-自动任务解锁失败")
    private Integer commandResult;
    @ApiModelProperty(value = "自动任务解锁失败次数")
    private Integer count;
    @ApiModelProperty(value = "在线状态 0-离线 1-在线")
    private Integer status;
    @ApiModelProperty(value = "运行模式 `2=手动锁定当前相位`，`3=手动全红`，`4=手动黄闪`，`5=手动关灯`，" +
            "`6=全红闪控制`，`7=全黄控制`，`8=正常按计划运行`，`9=手动步进控制`，`10=自动步进控制`，`11=恢复时间表`，" +
            "`20=单点自适应控制`，`21=绿波协调`，`31=手动控制`，`255=临时控制方案`")
    private String runMode;
    @ApiModelProperty(value = "信号机时间")
    private String machineTimestamp;
    @ApiModelProperty(value = "请求操作时间")
    private Date requestTime;
    @ApiModelProperty(value = "请求操作时间")
    private Date dbTime;

}
