package net.wanji.utc.dto.ring;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2025/03/28 14:41
 */
@Data
public class RingPhaseInfoDTO {

    private Integer schemeNo;

    private Integer offset;

    private Integer cycleLen;

    private Integer ringNo;

    private Integer phaseId;

    private Integer sort;

    private Integer phaseTime;

    private Integer redTime;

    private Integer yellowTime;

    private Integer greenTime;

    private Integer minGTime;

    private Integer maxGTime;

    /**
     * 字段 Direction 和 ChannelDim 都表示相位的放行方向，但 Direction 不包含行人放行
     * 信息，因此，建议使用 ChannelDim 字段，保留 Direction 字段仅为兼容之前版本。
     */
    private Integer direction;

    private Integer channel;

    private Integer concurrent;

    private Integer phaseStatus;

    private List<DirTurn> dirTurnInfoList;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date date;

    /**
     * 转换后万集的方向转向，不包含行人
     */
    @Data
    public static class DirTurn {
        private Integer dir;
        private Integer turn;
    }
}
