package net.wanji.utc.util;

import cn.hutool.core.util.ObjectUtil;
import io.swagger.annotations.ApiModelProperty;
import net.wanji.databus.dao.entity.BaseCrossSchemePO;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName ApiModelPropertyUtils
 * @Description 通过反射打印 属性的注解
 * @Author zhouleilei
 * @Date 2025/2/12 17:22
 */
public class ApiModelPropertyUtils {
    public static void main(String[] args) {
        //        GreenwaveScenePO areaIndex = new GreenwaveScenePO();
//		System.out.println(areaIndex.toString().replaceAll("=null",""));
        // 替换为你的类
        Class<BaseCrossSchemePO> clazz = BaseCrossSchemePO.class;
        List<String> list = new ArrayList<>();
        // 遍历所有字段
        for (Field field : clazz.getDeclaredFields()) {
            // 获取 @ApiModelProperty 注解
            ApiModelProperty apiModelProperty = field.getAnnotation(ApiModelProperty.class);
            if (apiModelProperty != null) {
                System.out.print(field.getName() +"\t");
                System.out.println(ObjectUtil.isNotEmpty(apiModelProperty.value())?apiModelProperty.value():apiModelProperty.name());
//				list.add(apiModelProperty.value());
                // 你可以继续打印其他属性如 notes, required 等
            }
        }
    }
}
