package net.wanji.utc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author duanruiming
 * @date 2025/04/18 11:22
 */
@Data
@NoArgsConstructor
@ApiModel(value = "SchemePhaseGreenTimeOptVO", description = "方案相位绿灯时间优化下发请求体")
public class SchemePhaseGreenTimeOptVO {
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;
    @ApiModelProperty(name = "原方案ID",notes = "")
    private Integer schemeId;
    @ApiModelProperty(value = "优化模式 0-信控调优平台优化")
    private Integer optType;
    @ApiModelProperty(value = "周期")
    private Integer cycle;
    @ApiModelProperty(value = "相位差")
    private Integer offset;
    @ApiModelProperty(value = "调整时间表格")
    private List<PhaseOptTime> phaseOptTimeList;

    @Data
    @NoArgsConstructor
    @ApiModel(value = "PhaseOptTime", description = "调整时间表格元素")
    public static class PhaseOptTime {
        @ApiModelProperty(value = "相位编号")
        private String phaseNo;
        @ApiModelProperty(value = "原绿灯时长")
        private Integer oriGreenTime;
        @ApiModelProperty(value = "调整后绿灯时长")
        private Integer optGreenTime;
        @ApiModelProperty(value = "调整时间")
        private Integer optTime;
    }
}
